You Devriez-vous installer des plug-ins non testés avec votre version WordPress?

Comment faire un blog WordPress

Souvent, nos utilisateurs nous demandent si un plugin n’a pas été testé avec leur version de WordPress. Devriez-vous installer des plugins pour ce plugin? ou trouver un autre plugin? Dans cet article, nous discuterons des raisons pour lesquelles vous devriez installer des plug-ins non testés avec votre version de WordPress? Qu'est-ce que cela signifie et comment vous pouvez aider la communauté WordPress?

Lorsque vous installez un plug-in à partir de l'espace d'administration WordPress, vous pouvez voir un avertissement qu'un plug-in n'a pas été testé avec votre version de WordPress.

Comment WordPress n'est-il pas testé?

Le référentiel officiel des plugins WordPress est la plus grande collection de plugins WordPress gratuits et open source. Lors de la soumission du plugin, les auteurs doivent soumettre un fichier «readme» avec leurs plugins. Ce fichier readme est ensuite utilisé par le répertoire du plugin pour générer la page du plugin.

Le fichier readme contient le “Testé jusqu'à” tag qui est utilisé pour afficher les informations. Les auteurs de plug-ins doivent conserver ces informations à jour.

Cela signifie qu'avec chaque version de WordPress, les auteurs de plug-ins devraient tester leurs plug-ins et mettre à jour les fichiers readme pour leurs plug-ins.

Pourquoi les auteurs de plug-ins ne mettent-ils pas à jour ces informations?

De nombreux auteurs de plug-ins ne mettent pas à jour leurs fichiers readme même lorsqu'ils testent leur plug-in avec la dernière version.

Dans un monde idéal, nous souhaiterions que tous les auteurs de plug-ins mettent à jour ces informations. Mais nous ne vivons pas dans un monde idéal.

Rappelez-vous que ces plug-ins sont gratuits et que vous ne payez pas les auteurs pour les télécharger et les utiliser. Les auteurs de plug-ins sont moins enclins à mettre à jour le fichier readme avec chaque version. Ils sont généralement occupés par leurs emplois à temps plein et leurs projets de développement rémunérés.

Didacticiel vidéo

Abonnez-vous à WPBeginner

Si vous n'aimez pas la vidéo ou si vous avez besoin de plus d'instructions, continuez à lire.

Dois-je installer ces plugins?

Oui tu devrais. Le simple fait qu'un auteur de plug-in n'ait pas mis à jour son fichier readme ne signifie pas qu'il n'a pas testé son plug-in ou que le plug-in ne fonctionne pas avec la dernière version de WordPress.

Si vous avez entendu parler d'un plug-in sur WPBeginner, vous pouvez supposer que nous avons testé le plug-in avec la dernière version de WordPress. Si l'article que vous consultez a été publié assez récemment, cela signifie que le plugin est compatible avec la dernière version de WordPress.

Par contre, si un plug-in n'a pas été mis à jour depuis plus de deux ans, cela signifie que le plug-in a très probablement été abandonné. Dans ce cas, vous ne devez pas installer le plugin.

Il serait intéressant de noter que de nombreux plug-ins qui n'ont pas été mis à jour depuis plus de deux ans fonctionnent bien. Cependant, vous devez les installer à vos risques et périls.

Comment pouvez-vous aider?

Vous pouvez installer le plug-in sur votre site WordPress et le tester. Si cela fonctionne comme prévu, revenez à la page du plugin. Connectez-vous avec votre nom d'utilisateur et mot de passe WordPress.org. Ensuite, faites défiler vers le bas de la page où vous verrez la section de compatibilité.

Choisissez simplement votre version de WordPress, la version du plug-in, puis cliquez sur le bouton Works. En faisant cela, vous faites savoir aux autres utilisateurs que vous avez testé le plug-in et que cela fonctionne comme prévu.

Vous pouvez également contacter l'auteur du plugin et leur demander de bien vouloir mettre à jour le fichier readme de leur plugin

Que faire quand un plugin est cassé?

Encore une fois, nous aimerions rappeler à nos utilisateurs que s’il s’agit d’un plugin gratuit, l’auteur du plugin l’a fourni tel quel. Il n'y a pas de garantie, pas même la garantie implicite de mise en forme. Mais la question est de savoir comment aider la communauté à gérer les plugins cassés.

Au lieu de laisser un commentaire dur sur le thread de support du plugin, vous pouvez laisser un commentaire constructif et utile. Consultez notre guide sur la manière de demander le support WordPress et de l'obtenir.

Avant de faire quoi que ce soit, essayez d'installer le plug-in sur différentes installations WordPress locales ou en direct. Assurez-vous également de pouvoir reproduire la même erreur sur d’autres installations.

Une fois que vous êtes certain que le plugin est cassé, décrivez simplement l'erreur dans un thread de support et laissez le créateur du plugin ou la communauté répondre. Si vous n'obtenez pas de réponse, vous pouvez essayer de contacter l'auteur du plug-in. La plupart des auteurs de plug-ins ont des informations de contact sur leurs pages de profil WordPress.org.

Si ces étapes échouent, alors vous devriez visiter la page du plug-in et voter le plug-in brisé dans la section compatibilité.

Nous espérons que cet article vous a aidé à répondre à vos questions sur l’installation ou non de plug-ins non testés avec votre version de WordPress.

Si vous avez aimé cet article, abonnez-vous à notre chaîne YouTube pour accéder aux didacticiels vidéo WordPress. Vous pouvez également nous trouver sur Twitter et Google+.

Voir la vidéo: Créer un blog WordPress PROFESSIONNEL (2018) 😎

Like this post? Please share to your friends:
Laisser un commentaire

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: